FAILLOG(8)

NOM
faillog - Examiner le fichier faillog, et fixer les limites d'échecs de connexion

SYNOPSIS

faillog [options]

DESCRIPTION

Faillog affiche le contenu du journal des échecs de connexion (/var/log/faillog), et maintient le décompte et les limitations de ces échecs. Exécuter faillog sans argument n'affiche que la liste des échecs des utilisateurs qui ont déjà eu un échec de connexion.

OPTIONS

Les options disponibles pour la commande faillog sont :

-a, --all
    Afficher les échecs de tous les utilisateurs.

-h, --help
    Afficher un message d'aide et quitter.

-l, --lock-time SEC
    Verrouiller le compte pendant SEC secondes après un échec de connexion.

-m, --maximum MAX
    Fixer le nombre maximum d'échecs de connexion après lesquels le compte sera désactivé à MAX. Une limite MAX de 0 aura pour effet de ne pas placer de limite d'échec. La limite pour l'utilisateur root devrait toujours être 0 pour éviter tout risque de déni de service contre le système.

-r, --reset
    Réinitialiser les compteurs (ou un compteur, si l'option -u IDENTIFIANT est utilisée) des échecs de connexion. L'accès en écriture sur /var/log/faillog est nécessaire pour cette option.

-t, --time JOURS
    Afficher les entrées de faillog plus récentes que JOURS. L'option -t surcharge l'utilisation de l'option -u.

-u, --user IDENTIFIANT
    Afficher l'entrée de faillog ou maintient le décompte et les limitations (suivant que l'option -l, -m ou -r est utilisée) seulement pour l'utilisateur IDENTIFIANT.

AVERTISSEMENTS

Faillog n'affiche que les utilisateurs n'ayant pas eu de connexion réussie depuis leur dernier échec. Pour afficher un utilisateur ayant eu une connexion réussie depuis son dernier échec, vous devez explicitement demander cet utilisateur avec l'option -u, ou demander l'affichage de tous les utilisateurs avec l'option -a.

FICHIERS

/var/log/faillog
    Journal des échecs de connexion.

VOIR AUSSI

login(1), faillog(5).